Package pygraph :: Package algorithms :: Package filters :: Module find :: Class find

# Class find

Search filter for finding a specific node.

Instance Methods

__init__(self, target) Initialize the filter. |

configure(self, graph, spanning_tree) Configure the filter. |

boolean

__call__(self, node, parent) Decide if the given node should be included in the search process. |

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, target)
(Constructor)

Initialize the filter.

Parameters:
  - `target` (node) - Target node.
Overrides: object.__init__

### configure(self, graph, spanning_tree)

Configure the filter.

Parameters:
  - `graph` (graph) - Graph.
  - `spanning_tree` (dictionary) - Spanning tree.

### __call__(self, node, parent)
(Call operator)

Decide if the given node should be included in the search process.

Parameters:
  - `node` (node) - Given node.
  - `parent` (node) - Given node's parent in the spanning tree.
Returns: boolean
  Whether the given node should be included in the search process.